{# -*- mode: jinja-html -*- #}
{% extends "sco_page.html" %}

{% block styles %}
{{super()}}
{% endblock %}

{% block app_content %}

<releve-but></releve-but>
<script src="/ScoDoc/static/js/releve-but.js"></script>
<script>
	let dataSrc = "{{bul_url|safe}}";
	fetch(dataSrc)
		.then(r => { return r.json() })
		.then(json => {
			let releve = document.querySelector("releve-but");
			releve.showData = json;
			// Syle custom à ajouter
			let style = document.createElement("style");
			style.textContent = `
				.module>div, 
				.dateInscription,
				.numerosEtudiant,
				.dateNaissance{
					display: none;
				}`;
			releve.shadowRoot.appendChild(style);
		});
	document.querySelector("html").style.scrollBehavior = "smooth";
</script>
{% endblock %}